﻿/*
NumberSpeak.ahk from Jack's AutoHotkey Blog (https://jacksautohotkeyblog.wordpress.com/) 
is a sample script for demonstrating how a children's educational keyboard script may
be written with AutoHotkey. The script demonstrates the following AutoHotkey features:
  Keyboard Scan Codes
  #IfWinActive directive to contain Hotkeys within the script
  ComObjCreate("SAPI.SpVoice").Speak(text) for speech
  SplashImage
  SoundPlay
The script requires the files cow-skating.jpg (from http://www.866-get-a-cow.com/) 
and cow-madcow.wav located in the same folder. Both are included in the ZIP download
file NumbersSpeak.zip.

Press C to hear see and hear the cow. Press a number key on the
numeric keypad to hear the number read by the computer.
*/


#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.


Gui, Add, Text,, Read to me:
Gui, Add, Edit, w375 vSpeakOutLoud 
Gui, Add, Button, default, Talk 
Gui, Show, w400 , Numbers Speak
Return

; End of auto-execute section

ButtonTalk:
  Gui, Submit, NoHide
  GuiControl,,SpeakOutLoud,    ;Clear the text editing box
  ComObjCreate("SAPI.SpVoice").Speak(SpeakOutLoud)
  GuiControl,Focus,Edit1
Return

#IfWinActive, Numbers Speak
  sc052::ComObjCreate("SAPI.SpVoice").Speak(0)
  sc04F::ComObjCreate("SAPI.SpVoice").Speak(1)
  sc050::ComObjCreate("SAPI.SpVoice").Speak(2)
  sc051::ComObjCreate("SAPI.SpVoice").Speak(3)
  sc04B::ComObjCreate("SAPI.SpVoice").Speak(4)
  sc04C::ComObjCreate("SAPI.SpVoice").Speak(5)
  sc04D::ComObjCreate("SAPI.SpVoice").Speak(6)
  sc047::ComObjCreate("SAPI.SpVoice").Speak(7)
  sc048::ComObjCreate("SAPI.SpVoice").Speak(8)
  sc049::ComObjCreate("SAPI.SpVoice").Speak(9)
  sc11c::ComObjCreate("SAPI.SpVoice").Speak("enter")


~c::
  SplashImage, cow-skating.jpg, cwYellow ctBlue
    , C IS FOR COW!, Is the cow laughing?
    , Laughing Cow 
 ComObjCreate("SAPI.SpVoice")
    .Speak("C IS FOR COW, Is the cow laughing? c , , o , , w , , cow")
 SoundPlay, cow-madcow.wav
 Sleep 15000
 SplashImage, off
Return


#IfWinActive


